{ lib, stdenv }:

stdenv.mkDerivation rec {
  pname = "ocbwoy3-nixos-icons";
  version = "1.0.0";
  src = ./.;

  nativeBuildInputs = [ ];

  buildInputs = [ ];

  installPhase = ''
	mkdir -p $out/share/icons/hicolor/{128x128,256x256,512x512,scalable}/apps
	mkdir -p $out/share/icons/arashi/{128x128,256x256,512x512,scalable}/apps
	for size in 128x128 256x256 512x512 scalable; do
	  cp ./games/deltarune.png $out/share/icons/hicolor/$size/apps/ralsei.png
	  cp ./games/deltarune.png $out/share/icons/arashi/$size/apps/steam_icon_1690940.png
      cp ./games/cs2.png $out/share/icons/arashi/$size/apps/steam_icon_730.png
	done
  '';

  meta = with lib; {
    description = "OCbwoy3's Custom Icons for NixOS";
    homepage = "https://tangled.sh/@ocbwoy3.dev/nix?ref=main";
    license = licenses.mit;
    maintainers = with maintainers; [ ];
  };
}
